#include <stddef.h>

void inca(long a[], size_t n, long inc) {
  for (int i=0; i<n; i++) {
    a[i] += inc;
  }
}

void inc1(long a[], size_t n) {
  inca(a,n,1);
}

int main()
{
  long a[1000];
  size_t i;
  for (i=0; i<1000; i++)
    a[i]=i;
  inc1(a,1000);
}
